Status ID Errors
When an error occurs, the returned XML will contain a StatusId and StatusText. The following table describes these errors, and their corresponding HTTP response codes.
| StatusId | StatusText | HTTP Status Code | Description |
|---|---|---|---|
| 0 | OK | 200 | Normal processing |
| 1 | no vendorId | 403 | Missing vendorId parameter |
| 2 | vendorId not found | 403 | VendorId not in database |
| 3 | vendor forbidden | 403 | Vendor is not authorized to perform the action |
| 4 | no action | 400 | Missing action parameter |
| 5 | bad action | 400 | Malformed action parameter |
| 6 | no consumerGuid | 403 | Missing consumerGuid parameter |
| 7 | consumerGuid not found | 403 | ConsumerGuid not in database |
| 8 | unknown service error | 500 | Failure in underlying service |
| 9 | unknown action |
501 | Action in cache, but could not reflect |
| 10 | not found | 404 | Not found |
| 11 | undefined statusText for statusId |
501 | There’s no entry in Status Table |
| 12 | action not implemented | 501 | The action is not yet implemented |
| 13 | subscription expired | 400 | The consumer’s subscription has expired, according to Inrix data |
| 14 | schema not found | 404 | Schema not found on filesystem |
| 15 | public IP | 400 | Admin request from a public IP address |
| 16 | not HTTPS | 400 | Admin request not HTTPS |
| 17 | bad consumerId | 403 | Malformed consumerGuid |
| 18 | no consumerId | 403 | Missing consumerId parameter |
| 19 | consumerId not found | 403 | ConsumerId not in database |
| 20 | vendorGroup not found | 404 | VendorGroup not in database |
| 21 | Security Token Not Present | -1 | There is no ‘InrixSessionId’ attribute in the query params |
| 22 | Security Token Not Decryptable | -1 | Could not decrypt token using ‘EncryptionKey’ |
| 23 | Security Token IP Address Mismatch | -1 | IP address of request differs from that stored in |
| 24 | SecurityToken DtKey Expired | 408 | DTKey difference exceeds ‘EcryptionGraceMinutes’ |
| 25 | Security Token DtKey in Future | -1 | DTKey exceeds 5 minutes in future direction |
| 26 | User Authentication Failed | 403 | User Authentication Failed |
| 41 | NoToken | 400 | Missing Token parameter |
| 42 | BadToken | 400 | Malformed Token parameter |
| 43 | TokenExpired | 401 | Token has expired |
| 50 | boolean value expected for |
400 | Parameter not parsed as bool |
| 51 | byte value expected for |
400 | Parameter not parsed as byte |
| 52 | datetime value expected for |
400 | Parameter not parsed as datetime |
| 53 | double value expected for |
400 | Parameter not parsed as double |
| 54 | integer value expected for |
400 | Parameter not parsed as int |
| 55 | long value expected for |
400 | Parameter not parsed as long |
| 56 | Missing required parameter: |
400 | Missing required parameter |
| 60 | unknown output field value in |
400 | Unknown output field value |
| 70 | invalid binary encoding type | 501 | Invalid binary encoding type |
| 71 | bad binary data | 400 | Bad binary data |
| 80 | Create | 501 | Create object failed |
| 81 | Update | 501 | Update object failed |
| 82 | Delete | 501 | Delete object failed |
| 90 | Service Call Timed Out | 500 | Service Call Timed Out |
| 91 | Invalid Message | 500 | Invalid Message |
| 101 | no date | 400 | Missing date parameter |
| 102 | no |
400 | Missing date parameter |
| 103 | bad date | 400 | Malformed date parameter |
| 104 | bad |
400 | Malformed date parameter |
| 105 | bad isambiguousorigin | 400 | isAmbiguousOrigin must be “true” or “false” |
| 111 | no waypoint | 400 | Missing waypoint parameter |
| 112 | no |
400 | Missing waypoint parameter |
| 113 | bad waypoint | 400 | Malformed waypoint parameter |
| 114 | bad |
400 | Malformed waypoint parameter |
| 115 | bad includeManeuvers | 400 | Malformed includeManeuvers parameter |
| 116 | bad duration | 400 | Malformed duration parameter |
| 117 | bad SpeedFilter | 400 | Malformed SpeedFilter parameter |
| 118 | NonConsecutiveWaypoints | 400 | Non-Consecutive Waypoints |
| 119 | BadMaxAlternates | 400 | Bad Max Alternates |
| 120 | NoMaxAlternates | 400 | No Max Alternates |
| 121 | Unroutable Waypoint | 400 | A waypoint cannot be routed to/from |
| 131 | no routeId | 400 | Missing routeId parameter |
| 132 | bad routeId | 400 | Malformed routeId parameter |
| 133 | routeId not found | 404 | routeId not in database |
| 134 | no tripId | 400 | Missing tripId parameter |
| 135 | bad tripId | 400 | Malformed tripId parameter |
| 136 | TripId not found | 404 | tripId not found in database |
| 137 | Route Not Found | 400 | No routes found |
| 138 | Unable to retrieve route |
501 | Unable to rehydrate existing route def |
| 141 | no latitude | 400 | Missing latitude parameter |
| 142 | no |
400 | Missing latitude parameter |
| 143 | bad latitude | 400 | Malformed latitude parameter |
| 144 | bad |
400 | Malformed latitude parameter |
| 145 | no longitude | 400 | Missing longitude parameter |
| 146 | no |
400 | Missing longitude parameter |
| 147 | bad longitude | 400 | Malformed longitude parameter |
| 148 | bad |
400 | Malformed longitude parameter |
| 149 | No radius | 400 | No radius |
| 150 | No radius | 400 | No radius |
| 151 | bad radius | 400 | Malformed radius |
| 152 | bad radius: |
400 | Malformed radius |
| 153 | Radius Exceed Limit | 400 | RadiusExceedLimit |
| 154 | BoundingBox Exceed Limit | 400 | BoundingBox Exceed Limit |
| 170 | Cannot connect parking service | 500 | Client cannot connect parking service Exceed Limit |
| 171 | Communication error to parking service | 500 | Communication error to parking service |
| 190 | too many active alerts | 400 | The number of active alerts exceeds the limt |
| 201 | no alertType | 400 | Missing alertType parameter |
| 202 | bad alertType | 400 | Malformed alertType parameter |
| 203 | bad alertType: |
400 | Malformed alertType parameter |
| 211 | no alertStatus | 400 | Missing alertStatus parameter |
| 212 | bad alertStatus | 400 | Malformed alertStatus parameter |
| 213 | bad alertStatus: |
400 | Malformed alertStatus parameter |
| 221 | no marketId | 400 | Missing marketId parameter |
| 222 | bad marketId | 400 | Malformed MarketId parameter |
| 223 | marketId not found | 404 | marketId not in db |
| 231 | no DowMask | 400 | Missing dowMask parameter |
| 232 | bad DowMask | 400 | Malformed dowMask parameter |
| 233 | BadDaysOfWeek | 400 | BadDaysOfWeek |
| 234 | BadEnabledParam | 400 | BadEnabledParam |
| 235 | NoStartTime | 400 | NoStartTime |
| 236 | NoDeliveryType | 400 | NoDeliveryType |
| 237 | BadDeliveryType | 400 | BadDeliveryType |
| 238 | NoEnabled | 400 | NoEnabled |
| 241 | no StartTodKey | 400 | Missing startTodKey parameter |
| 242 | bad StartTodKey | 400 | Malformed bad startTodKey parameter |
| 243 | no end tod key | 400 | Missing endtodkey |
| 244 | bad end tod key | 400 | Malformed endtodkey |
| 245 | no time zone id | 400 | Missing timezoneid |
| 246 | bad time zone id | 400 | Malformed timezoneid |
| 247 | no alert tag | 400 | Missing alerttag |
| 251 | no stopSms | 400 | Missing stopSms parameter |
| 252 | bad stopSms | 400 | Malformed stopSms parameter |
| 253 | no suspendMessages | 400 | Missing suspendMessages parameter |
| 254 | bad suspendMessages | 400 | Malformed suspendMessages parameter |
| 255 | bad reason | 400 | Malformed reason parameter |
| 261 | no alertId | 400 | Missing alertId parameter |
| 262 | bad alertId | 400 | Malformed alertId parameter |
| 263 | alertId not found | 404 | alertId not in database |
| 264 | bad alert condition | 400 | Malformed alertcondition |
| 271 | no deliverTrafficAlerts | 400 | Missing deliverTrafficAlerts parameter |
| 272 | bad deliverTrafficAlerts | 400 | Malformed deliverTrafficAlerts parameter |
| 274 | Msg channel not found for VendorGroupId: |
400 | Message channel not found |
| 281 | no isGasStation | 400 | Missing isGasStation |
| 282 | bad isGasStation | 400 | Malformed isGasStation |
| 283 | bad external id | 400 | External id is not an integer |
| 284 | Bad ExternalPointType | 400 | Bad ExternalPointType |
| 301 | too many points | 400 | The Consumer’s Location list is full |
| 302 | bad pointName | 400 | Malformed pointName parameter |
| 303 | duplicate pointName | 400 | The PointName is a duplicate of an existing PointName |
| 304 | bad address | 400 | Malformed address parameter |
| 305 | bad label | 400 | Malformed label parameter |
| 306 | unusable voice label | 400 | The voice label is not acceptable to the recognition engine |
| 307 | conflicting voice label | 400 | The voice label phonetically conflicts with another voice label |
| 308 | no pointName | 400 | Missing pointName parameter |
| 309 | bad voice tag: |
400 | Malformed voice tag parameter |
| 310 | bad description | 400 | Malformed description parameter |
| 311 | no pointId | 400 | Missing pointId parameter |
| 312 | bad pointId | 400 | Malformed pointId parameter |
| 313 | pointId not found | 404 | Location not in database |
| 314 | bad point | 400 | Malformed point |
| 315 | no point | 400 | Missing point |
| 316 | Voice label is reserved | 400 | The voice label is a reserved word used by the voice interface |
| 317 | No point or location supplied | 400 | No point or location supplied |
| 318 | Duplicate location name | 400 | DuplicateLocationName |
| 321 | no voiceTag | 400 | Missing voiceTag parameter |
| 322 | bad voiceTag | 400 | Malformed voiceTag parameter |
| 331 | no intendedUse | 400 | Missing intendedUse parameter |
| 332 | bad intendedUse | 400 | Malformed intendedUse parameter |
| 341 | no startTimeDtk1 | 400 | Missing startTimeDtk1 parameter |
| 342 | bad startTimeDtk1 | 400 | Malformed startTimeDtk1 parameter |
| 343 | no stepMinutes1 | 400 | Missing stepMinutes1 parameter |
| 344 | bad stepMinutes1 | 400 | Malformed stepMinutes1 |
| 345 | no count1 | 400 | Missing count1 parameter |
| 346 | bad count1 | 400 | Malformed count1 parameter |
| 347 | bad startTimesAreArrivalTimes | 400 | Malformed startTimesAreArrivalTimes parameter |
| 348 | bad startTimeDtk2 | 400 | Malformed startTimeDtk2 parameter |
| 349 | bad stepMinutes2 | 400 | Malformed stepMinutes2 |
| 350 | bad count2 | 400 | Malformed count2 parameter |
| 351 | bad includeIncidents | 400 | Malformed includeIncidents parameter |
| 352 | bad includePolyline | 400 | Malformed includePolyline parameter |
| 353 | bad colorPolyline | 400 | Malformed colorPolyline parameter |
| 354 | bad includeGeometry | 400 | Malformed includeGeometry parameter |
| 355 | bad includeFlow | 400 | Malformed includeFlow |
| 405 | bad incidentDisplay type | 400 | Malformed incidentDisplayDefaults value |
| 406 | bad Incident Source | 400 | Malformed incidentsource parameter |
| 410 | no anonymousVehicleId | 400 | Missing anonymousVehicleid |
| 411 | bad phs_ |
400 | Malformed phs |
| 412 | no phs | 400 | Missing phs |
| 413 | bad phs | 400 | Malformed phs |
| 414 | bad phsx | 400 | Malformed phsx parameter |
| 415 | no phsx | 400 | Missing phsx parameter |
| 419 | no route results | 400 | Missing routeresults |
| 420 | no routeIdList | 400 | Missing route id list |
| 421 | bad start time | 400 | Malformed start date |
| 422 | bad step | 400 | Malformed step |
| 423 | bad count | 400 | Malformed count |
| 424 | bad StartRank | 400 | Malformed StartRank |
| 431 | NoRouteDefForTimeZone | 400 | RouteDef not found while performing TimeZone lookup |
| 432 | NoRouteInstanceForTimeZone | 400 | RouteInstance not found while performing TimeZone lookup |
| 433 | NoRouteFeatureIdForTimeZone | 400 | RouteFeatureId not found while performing TimeZone lookup |
| 434 | NoRMFFeatureForTimeZone | 400 | RMFFeature not found while performing TimeZone lookup |
| 435 | NoUtcOffsetHoursForTimeZone | 400 | UtcOffsetHours null while performing TimeZone lookup |
| 436 | NoObservesDstForTimeZone | 400 | ObservesDst null while performing TimeZone lookup |
| 437 | TimeZoneNotFound | 400 | Could not find entry for UtcOffset and ObservesDst while performing |
| 438 | NoDstRegionIdForTimeZone | 400 | DstRegionID null while performing TimeZone lookup |
| 440 | bad units | 400 | Malformed Units parameter |
| 441 | bad IncidentType | 400 | Malformed IncidentType parameter |
| 442 | bad IncidentOutputFields | 400 | Malformed IncidentOutputFields parameter |
| 443 | bad SpeedOutputFields | 400 | Malformed SpeedOutputFields parameter |
| 444 | bad FrcLevel | 400 | Malformed FrcLevel parameter |
| 445 | bad FullTmc | 400 | Malformed FullTmc parameter |
| 446 | bad incident Severity filter | 400 | Malformed incident Severity parameter |
| 447 | bad Interval | 400 | Malformed Interval parameter |
| 448 | bad CongestionReportType | 400 | Malformed CongestionReportType parameter |
| 449 | bad CongestionFilter | 400 | Malformed CongestionFilter parameter |
| 450 | bad Name | 400 | Malformed Name parameter |
| 451 | no Name | 400 | Missing Name parameter |
| 452 | no Description | 400 | Missing Description parameter |
| 453 | bad Private | 400 | Malformed Private parameter |
| 454 | no Tmcs | 400 | Missing Tmcs parameter |
| 455 | bad Tmcs | 400 | Malformed Tmcs parameter |
| 456 | no TmcSetId | 400 | Missing TmcSetId parameter |
| 457 | bad TmcSetId | 400 | Malformed TmcSetId parameter |
| 458 | TmcSet not found | 404 | TmcSet not found in database |
| 459 | Data too large | 400 | Request data too long, time out or OOM |
| 460 | Too much data requested. | 400 | Too many items requested |
| 461 | bad ProductType | 400 | Malformed ProductType parameter |
| 462 | bad OutputFields | 400 | Malformed OutputFields parameter |
| 463 | too many TMCSets | 400 | Vendor limit exceeded |
| 464 | Too Many SpeedBuckets | 400 | Vendor limit exceeded |
| 465 | Bad SpeedBucketXml | 400 | Malformed SpeedBucket XML parameter |
| 466 | no SpeedBucket Xml | 400 | Missing SpeedBucket XML parameter |
| 467 | No SpeedBucket Id | 400 | Missing SpeedBucket Id Parameter |
| 468 | SpeedBucket Id not found | 400 | SpeedBucked Id not found in DB |
| 470 | bad ClientType | 400 | Malformed ClientType parameter |
| 471 | bad Id | 400 | Malformed Id parameter |
| 472 | no Id | 400 | Missing Id parameter |
| 473 | Gas Station not found | 404 | Gas Station not found |
| 474 | bad IncidentId | 400 | Malformed IncidentId parameter |
| 475 | no IncidentId | 400 | Missing IncidentId parameter |
| 476 | IncidentId not found | 404 | IncidentId not found |
| 477 | no Setting | 400 | Missing Setting parameter |
| 478 | no Value | 400 | Missing Value parameter |
| 479 | bad Value | 400 | Malformed Value parameter |
| 480 | bad Setting | 400 | Malformed Setting parameter |
| 481 | Failed To Init BATS | 400 | Failed to Init BATS |
| 482 | bad |
400 | Malformed Corner/Center parameter |
| 483 | no |
400 | Missing Corner/Center parameter |
| 485 | bad vendor group id | 400 | Malformed vendorgroupid |
| 486 | no vendor group id | 400 | Missing vendorgroupid |
| 487 | no email | 400 | Missing email |
| 488 | ExceedMinDegreePerPixel |
400 | Exceed MinDegreePerPixel |
| 489 | ExceedMaxDegreePerPixel |
400 | Exceed MaxDegreePerPixel |
| 490 | bad Traffic Tile DataType | 400 | Malformed TileDataType |
| 491 | bad PenWidth | 400 | Malformed PenWidth |
| 492 | bad SpeedBucketId | 400 | Malformed External SpeedBucketId |
| 493 | bad Tile Height | 400 | Malformed Tile Height |
| 494 | bad Tile Width | 400 | Malformed Tile Width |
| 495 | tile too big Max tile size |
400 | Tile size is too big |
| 496 | Bad Tile Format | 400 | Bad tile img format |
| 497 | bad GeocodeInput | 400 | Malformed GeocodeInput parameter |
| 498 | no GeocodeInput | 400 | Missing GeocodeInput parameter |
| 499 | Geocode plugin not specified | 503 | Geocode plugin not specified in configuration |
| 500 | Geocode plugin not found | 503 | Class for Geocode plugin not found |
| 501 | Geocode plugin not valid | 503 | Class for Geocode plugin not an instance of IGeocodePlugin |
| 502 | Too many GeocodeInput parameters | 400 | Too many GeocodeInput parameters were present |
| 503 | Geocode Error | 500 | Error in geocoding |
| 504 | geocode timeout | 500 | Geocode timeout |
| 505 | Unsupported country requested | 400 | Unsupported country requested |
| 510 | bad use traffic | 400 | Malformed usetraffic |
| 511 | bad departure time | 400 | Malformed departuretime |
| 512 | bad arrival time | 400 | Malformed arrivaltime |
| 513 | bad route type | 400 | Malformed routetype |
| 514 | bad route output fields | 400 | Malformed routeoutputfields |
| 515 | bad collapse maneuvers | 400 | Malformed collapsemaneuvers |
| 516 | bad routing type | 400 | Malformed routingtype |
| 520 | no location id | 400 | Missing locationid |
| 521 | bad location id | 400 | Malformed locationid |
| 522 | bad location | 400 | Malformed location |
| 530 | Guidance Server Unavailable | 500 | The payload creation server is unavailable |
| 531 | error sending to SYNCP server | 500 | INRIX could not send data to SYNCP server |
| 540 | BadRouteInstanceId | 400 | BadRouteInstanceId |
| 541 | NoRouteInstanceId | 400 | NoRouteInstanceId |
| 542 | BadMessageId | 400 | BadMessageId |
| 543 | NoMessageId | 400 | NoMessageId |
| 544 | BadCorrelationId | 400 | BadCorrelationId |
| 545 | NoCorrelationId | 400 | NoCorrelationId |
| 546 | BadCurrentLocation | 400 | BadCurrentLocation |
| 547 | NoCurrentLocation | 400 | NoCurrentLocation |
| 548 | BadBreadCrumb | 400 | BadBreadCrumb |
| 549 | NoBreadCrumb | 400 | NoBreadCrumb |
| 550 | BadSchema | 400 | BadSchema |
| 551 | NoSchema | 400 | NoSchema |
| 552 | NoPartnerId | 400 | NoPartnerId |
| 553 | BadPartnerId | 400 | BadPartnerId |
| 601 | bad compress | 400 | Malformed compress |
| 602 | no compress | 400 | Missing compress |
| 611 | Bad Coverage | 400 | Malformed Coverage |
| 612 | No Coverage | 400 | NoCoverage |
| 613 | No Vendor Default Coverage | 400 | NoVendorDefaultCoverage |
| 614 | Vendor Not Authorized | 400 | VendorNotAuthorized |
| 615 | Bad Default Coverage | 400 | BadDefaultCoverage |
| 616 | Invalid Coverage TileDataType | 400 | If user passes in both Coverage and TileDataType, |
| 620 | BadConsumerXML | 400 | BadConsumerXML |
| 621 | NoConsumerXML | 400 | NoConsumerXML |
| 631 | BadIncludeSummary | 400 | BadIncludeSummary |
| 641 | BadSpeedBucketOutputFilter | 400 | BadSpeedBucketOutputFilter |
| 642 | SpeedBucketBinNotFound | 400 | SpeedBucketBinNotFound |
| 643 | SpeedBucketSchemaFileNotFound | 400 | SpeedBucketSchemaFileNotFound |
| 701 | no consumercontact | 400 | Missing consumercontact |
| 702 | BadConsumerContactType | 400 | BadConsumerContactType |
| 703 | ConsumerContactType Not Found | 400 | ConsumerContactType Not Found |
| 711 | BadTmcOutputFields | 400 | BadTmcOutputFields |
| 712 | TmcInfo Not Found | 400 | TmcInfo Not Found |
| 721 | ForecastType parameter not found | 400 | ForecastType parameter not found |
| 722 | ForecastType parameter invalid | 400 | ForecastType parameter invalid |
| 800 | Initialization failed | 400 | Initialization failed for the given component |
| 810 | Lanugage code not supported or unrecognized | 400 | LanguageCodeNotSupported |
| 811 | Bad multieventcode | 400 | Bad multieventcode |
| 820 | Image not available | 404 | Image not available |
| 821 | Image was not retrieved | 501 | Image retrieval failed |
| 822 | Camera info was not retrieved | 501 | Camera data retrieval failed |
| 823 | Image quality poor | 501 | Image quality too poor to return |
| 830 | Quad key has problems | 400 | Quad key has problems |
| 849 | Opacity value is out of range | 400 | Opacity value is out of range |
| 852 | Image format |
400 | Unsupported image format |
| 900 | MarketMap base map image not found: |
400 | MarketMap base map image not found |
| 901 | Missing market name | 400 | No market name |
| 902 | Bad market name: |
400 | Bad market name |
| 910 | Bad layers | 400 | Bad layers |
| 911 | Layer: |
400 | Layer requested more than once |
| 912 | Server too busy | 400 | Server too busy |
| 920 | No Type | 400 | Type parameter Missing |
| 921 | Address parameter missing | 400 | Address parameter missing |
| 922 | LatLong parameter missing | 400 | LatLong parameter missing |
| 923 | Bad Type | 400 | Type parameter invalid |
| 924 | LatLon parameter invalid | 400 | LatLon parameter invalid |
| 925 | Phone parameter missing | 400 | Phone parameter missing |
| 926 | Bad Phone | 400 | Phone parameter invalid |
| 927 | No Destination | 400 | Destination parameter missing |
| 928 | Bad Destination | 400 | Destination parameter invalid |
| 930 | Bad zoom | 400 | Bad zoom |
| 931 | No zoom | 400 | No zoom |
| 932 | Bad north | 400 | Bad north |
| 933 | Bad east | 400 | Bad east |
| 934 | Too many location descriptors | 400 | Too many location descriptors |
| 935 | No location descriptor | 400 | No location descriptor |
| 936 | BadGeometryTolerance | 400 | The specified GeometryTolerance was invalid |
| 940 | NoDisplayName | 400 | NoDisplayName |
| 941 | DisplayNameTooLong | 400 | DisplayNameTooLong |
| 942 | DisplayNameNotAvailable | 400 | DisplayNameNotAvailable |
| 943 | DisplayNameNotAllowed | 400 | DisplayNameNotAllowed |
| 945 | Too many contributors. MaxCount= |
400 | maxCount limit exceeded |
| 946 | NoAddressType | 400 | No AddressType |
| 947 | BadAddressType | 400 | Bad AddressType |
| 948 | Address Too Long. MaxLength= |
400 | Addess length exceeded limit |
| 950 | BadTravelTimeCount | 400 | The specified TravelTimeCount was invalid |
| 951 | BadTravelTimeInterval | 400 | The specified TravelTimeInterval was invalid |
| 952 | NoTravelTimeCount | 400 | No TravelTimeCount was specified |
| 953 | NoTravelTimeInterval | 400 | No TravelTimeInterval was specified |
| 954 | BadTimeRange | 400 | The Time Range was invalid |
| 960 | Only owner may cancel the submission | 400 | Only owner may cancel the submission |
| 961 | Owner may not review own submission | 400 | Owner may not review own submission |
| 962 | Requested version is out of date | 400 | Requested version is out of date |
| 963 | Trust level too low to accept submission | 400 | Trust level too low to accept submission |
| 964 | Incident already reviewed | 400 | Only one rating per user per incident |
| 972 | BadAppleToken | 400 | Bad Apple Token |
| 980 | Invalid GML document | 400 | GML document is empty or does not match the schema |
| 981 | EncryptionProblem | 400 | Unable to encrypt/decrypt |
| 982 | CompressionProblem | 400 | Unable to compress/decompress |
| 990 | Registration Duplicated | 500 | Multiple consumers found that match the registration request |
| 991 | Email In Use | 400 | Email address is in use by another consumer |
| 1001 | TpegSessionInvalid | 400 | TPEG session is in invalid state |
| 1002 | TpegArgumentsInvalid | 400 | TPEG session parameter is invalid |
| 1003 | RouteRequestInvlaid | 400 | AgoraC route request is invalid |
| 1006 | SubscriptionRenewalFailed | 400 | Renewing consumer’s subscription failed |
| 1008 | RequestBodyNotFound | 400 | Request body not found |
| 1009 | Failed to parse parameter |
400 | A generic error for parameter parsing errors |
| 1010 | Integer list expected for |
400 | Parameter not parsed as int list |
| 1011 | Enum value expected for |
400 | Parameter not parsed as enum |